petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringRegisterAll

Registers all of the matrix Coloring routines in PETSc.

### Synopsis

    PetscErrorCode  MatColoringRegisterAll(void)

Not Collective Many br

Many br

### Adding new methods

To add a new method to the registry. Copy this routine and Many brmodify it to incorporate a call to MatColoringRegister() for Many brthe new method, after the current list. Many br

.keywords: matrix, coloring, register, all Many br

.seealso: MatColoringRegister(), MatColoringRegisterDestroy() Many br

Level:developer
Location:src/mat/color/interface/matcoloringregi.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages